Bug 85937 - Sidebar: Add 'Close Sidebar' command to Sidebar menu
Summary: Sidebar: Add 'Close Sidebar' command to Sidebar menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Sidebar-Tab-Bar
  Show dependency treegraph
 
Reported: 2014-11-05 20:14 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-09-07 11:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2014-11-05 20:14:43 UTC
A 'Close Sidebar' menu entry should be added in the sidebar's menu (below 'Undock') that acts like the View->Sidebar toggle
Comment 1 Samuel Mehrbrodt (CIB) 2014-11-05 20:15:07 UTC
This has been decided in the Design chat.
Comment 2 Commit Notification 2014-12-04 10:34:44 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5131750da6df95643e89127349b95df33be2feb4

fdo#85937 Add 'Close Sidebar' command to Sidebar menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-12-04 10:52:20 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0b969179d8583a98849b0b8df1e1f5f130b3fbf&h=libreoffice-4-4

fdo#85937 Add 'Close Sidebar' command to Sidebar menu

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Mike §chinagl 2014-12-20 22:58:45 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

The sidebar drop down menu now has a 'Close Sidebar' entry.